package com.ruoyi.dxp.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据源对象 dxp_database
 *
 * @author jy
 * @date 2022-11-15
 */
public class Database extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 数据源别名 */
    @Excel(name = "数据源别名")
    private String aliasName;

    /** 数据库名 */
    @Excel(name = "数据库名")
    private String databaseName;

    /** 数据库类型：mysql */
    @Excel(name = "数据库类型：mysql")
    private String databaseType;

    /** 是否缓存本地 */
    @Excel(name = "是否缓存本地")
    private String cacheFlag;

    /** 连接字符串 */
    @Excel(name = "连接字符串")
    private String connectionString;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 审核状态：0待同步，1同步完成，2有新的变化 */
    @Excel(name = "审核状态：0待同步，1同步完成，2有新的变化")
    private String status;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setAliasName(String aliasName)
    {
        this.aliasName = aliasName;
    }

    public String getAliasName()
    {
        return aliasName;
    }
    public void setDatabaseName(String databaseName)
    {
        this.databaseName = databaseName;
    }

    public String getDatabaseName()
    {
        return databaseName;
    }
    public void setDatabaseType(String databaseType)
    {
        this.databaseType = databaseType;
    }

    public String getDatabaseType()
    {
        return databaseType;
    }
    public void setCacheFlag(String cacheFlag)
    {
        this.cacheFlag = cacheFlag;
    }

    public String getCacheFlag()
    {
        return cacheFlag;
    }
    public void setConnectionString(String connectionString)
    {
        this.connectionString = connectionString;
    }

    public String getConnectionString()
    {
        return connectionString;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("aliasName", getAliasName())
                .append("databaseName", getDatabaseName())
                .append("databaseType", getDatabaseType())
                .append("cacheFlag", getCacheFlag())
                .append("connectionString", getConnectionString())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("delFlag", getDelFlag())
                .append("status", getStatus())
                .toString();
    }
}
